Disabled as unsafe or unsecure Rated 5 out of 5 stars

I love this extension. However, it has been disabled by Firefox as unstable or unsafe and can not be used. Can this be looked into and fixed?

This review is for a previous version of the add-on (2012.04.21.13.1-signed).